﻿@model Teste1.Models.ExternalLoginConfirmationViewModel
@{
    ViewBag.Title = "Registre-se";
}
<h2>@ViewBag.Title.</h2>
<h3>Associe a sua conta @ViewBag.LoginProvider.</h3>

@using (Html.BeginForm("ExternalLoginConfirmation", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()

    <h4>Forma de associação</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <p class="text-info">
        Você se autenticou com êxito com <strong>@ViewBag.LoginProvider</strong>.
        Insira um nome de usuário para este site abaixo e clique no botão Registrar para concluir
        o login.
    </p>
    <div class="form-group">
        @Html.LabelFor(m => m.Email, new { @class = "col-md-2 control-label" })
        <div class="col-md-10">
            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
            @Html.ValidationMessageFor(m => m.Email, "", new { @class = "text-danger" })
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" class="btn btn-default" value="Registre-se" />
        </div>
    </div>
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
